SKF GoPlant
Api Reference 101

Statistics

Get statistics about GoPlant activity based on query parameters.

GET /api/rest/task-and-round-statistics Get a list of statistics about tasks and rounds. One record is returned per storage group. Note that records are not returned for storage groups which contain no rounds. All times are specified in UTC.

Get a list of statistics about tasks and rounds over the past 24 hours

Request

                GET https://{goplant_instance}/api/rest/task-and-round-statistics
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get statistics between December 1st, 5:00 and December 2nd, 18:00 in storage groups 0001-0002-0003-0004 and 1111-2222-3333-4444

Request

                GET https://{goplant_instance}/api/rest/task-and-round-statistics?Start-Time=2025-12-01T05:00:00&End-Time=2025-12-02T18:00:00&Storage-Group-UUID=0001-0002-0003-0004,1111-2222-3333-4444
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
URI Query Parameters
End-Time
Limit responses to those before the indicated end date and time. End-Time is specified as a UTC string.
If no End-Time is specified, the default value of current time in UTC is used.
string optional
Start-Time
Limit responses to those after the indicated start date and time. Start-Time is specified as a UTC string.
If no Start-Time is specified, the default value of 24 hours before the current time in UTC is used.
string optional
Storage-Group-UUID
Limit statistics to the specified storage group(s). Multiple group IDs may be specified, separated by columns. If the user specifies a group outside of their scope, an error will be returned.
If no Storage-Group-UUID is returned, statistics are returned for each storage group within the user's scope.
string optional
Response Body Array of round and task statistics per storage group
count
Number of records returned
integer
taskAndRoundStatistics
Array of round and task statistics for storage groups within the user's context.
array of round-and-task-statistics-type
storageGroupURI
URI of storage group
string
storageGroupName
Leaf node name of storage group
string
totalTaskEvents
Number of task events available in this storage group during the specified time interval
integer
notStartedTaskEvents
Number of available task events in this storage group during the specified time interval which have not yet been started
integer
onTimeTaskEvents
Number of available task events in this storage group during the specified time interval which are on time
integer
lateTaskEvents
Number of available task events in this storage group during the specified time interval which are late
integer
completedOnTimeTaskEvents
Number of task events in this storage group which were completed on time during the specified time interval
integer
completedLateTaskEvents
Number of task events in this storage group which were completed late during the specified time interval
integer
expiredTaskEvents
Number of task events in this storage group which expired during the specified time interval
integer
voidedTaskEvents
Number of task events in this storage group which were voided during the specified time interval
integer
revokedTaskEvents
Number of task events in this storage group which were revoked during the specified time interval
integer
scheduledTaskElements
Number of task elements (round variants) of tasks in this storage group which were scheduled during the specified time interval
integer
inProgressTaskElements
Number of task elements (round variants) of tasks in this storage group which are in progress or drafted during the specified time interval
integer
completedTaskElements
Number of task elements (round variants) of tasks in this storage group which were completed during the specified time interval
integer
commitSkippedTaskElements
Number of task elements (round variants) of tasks in this storage group which were commit skipped during the specified time interval. A round is classified commit skipped if none of its elements are committed.
integer
inProgressRounds
Number of round variants in this storage group that are in progress or drafted outside of the context of a task during the specified time interval
integer
completedRounds
Number of round variants in this storage group that were completed outside of the context of a task during the specified time interval
integer
commitSkippedRounds
Number of round variants in this storage group that were commit skipped outside of the context of a task during the specified time interval. A round is classified commit skipped if none of its elements are committed.
integer